﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CustomListView
{
    public interface ICustomListViewItemCollection
    {
        void Add(ICustomListViewItem item);
        void AddRange(ICustomListViewItem[] items);
        void Insert(int index, ICustomListViewItem item);
        void Remove(ICustomListViewItem item);
        void RemoveAt(int index);
        void Clear();
        void CopyTo(Array dest, int index);
        bool Contains(ICustomListViewItem item);
        int IndexOf(ICustomListViewItem item);
        int Count { get; }
        IEnumerator<ICustomListViewItem> GetEnumerator();
    }
}
