﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public Class Category
    Implements IDeepClone(Of Category)
    Private m_Id As Integer
    Private m_Description As String

    Public Sub New()
        Id = -1
    End Sub

    Public Overridable Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(ByVal value As Integer)
            m_Id = value
        End Set
    End Property

    Public Overridable Property Description() As String
        Get
            Return m_Description
        End Get
        Set(ByVal value As String)
            m_Description = value
        End Set
    End Property

    Public Overridable Function DeepClone() As Category Implements IDeepClone(Of Category).DeepClone
        Dim clonedCategory As Category = New Category()
        clonedCategory.Id = Id
        clonedCategory.Description = Description
        Return clonedCategory
    End Function
End Class
