﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public Class ProjectProposalName
    Implements IDeepClone(Of ProjectProposalName)
    Private m_Id As Integer
    Private m_Name As String

    Public Sub New()
        Id = -1
    End Sub

    Public Overridable Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(ByVal value As Integer)
            m_Id = value
        End Set
    End Property

    Public Overridable Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            m_Name = value
        End Set
    End Property

    Public Overridable Function DeepClone() As ProjectProposalName Implements IDeepClone(Of ProjectProposalName).DeepClone
        Dim clonedProjectProposalName As ProjectProposalName = New ProjectProposalName()
        clonedProjectProposalName.Id = Id
        clonedProjectProposalName.Name = Name
        Return clonedProjectProposalName
    End Function
End Class
