﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public Class Role
    Implements IDeepClone(Of Role)
    Private m_Id As Integer
    Private m_Name As String

    Public Sub New()
        Id = -1
    End Sub

    Public Overridable Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(ByVal value As Integer)
            m_Id = value
        End Set
    End Property

    Public Overridable Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            m_Name = value
        End Set
    End Property

    Public Overridable Function DeepClone() As Role Implements IDeepClone(Of Role).DeepClone
        Dim clonedRole As Role = New Role()
        clonedRole.Id = Id
        clonedRole.Name = Name
        Return clonedRole
    End Function
End Class
