﻿Option Strict On
Option Explicit On
Option Infer Off
Imports Securex.FIT.Fitclient.Business.DataHolders

Public Class DescriptionSelection
    Inherits GenericSelection(Of FormDescription)

    Public Sub New()
        MyBase.New()
    End Sub

    ''' <summary>
    ''' Update description
    ''' </summary>
    ''' <param name="description">Form description</param>
    ''' <param name="formName">Name of form</param>
    ''' <remarks></remarks>
    Public Sub Update(ByVal description As String, ByVal formName As String)
        MyBase.Selection.Description = description
        MyBase.Selection.FormName = formName
    End Sub

    ''' <summary>
    ''' Get selection
    ''' </summary>
    ''' <returns>Returns the form description object</returns>
    ''' <remarks></remarks>
    Public Overrides Function GetSelection() As DataHolders.FormDescription
        Return MyBase.Selection
    End Function
End Class
