﻿Option Strict On
Option Explicit On
Option Infer Off
Imports Securex.FIT.Fitclient.Business.DataHolders

Public Class RoleSelection
    Inherits GenericSelection(Of Role)

    Public Sub New()
        MyBase.New()
    End Sub

    ''' <summary>
    ''' Update name
    ''' </summary>
    ''' <param name="name">Role name</param>
    ''' <remarks></remarks>
    Public Sub Update(ByVal name As String)
        MyBase.Selection.Name = name
    End Sub

    ''' <summary>
    ''' Get selection
    ''' </summary>
    ''' <returns>Returns the role object</returns>
    ''' <remarks></remarks>
    Public Overrides Function GetSelection() As DataHolders.Role
        Return MyBase.Selection
    End Function
End Class
