﻿Option Strict On
Option Explicit On
Option Infer Off
Imports Securex.FIT.Fitclient.Business

Public Class WordFactory
    Implements IWordFactory
    Private Shared m_WordFactory As WordFactory = New WordFactory()
    Private m_Word As IoWord

    Private Sub New()
        m_Word = New IoWord()
    End Sub

    Public Shared ReadOnly Property Instance() As WordFactory
        Get
            Return m_WordFactory
        End Get
    End Property

    Public ReadOnly Property Word() As Business.IWordDao Implements Business.IWordFactory.Word
        Get
            Return m_Word
        End Get
    End Property
End Class
