﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public MustInherit Class AbstractEmployee
    Private m_EmployeeId As String
    Private m_Name As String
    Private m_SirName As String
    Private m_EmailAddress As String

    Public Overridable Property EmployeeId() As String
        Get
            Return m_EmployeeId
        End Get
        Set(ByVal value As String)
            m_EmployeeId = value
        End Set
    End Property

    Public Overridable Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            m_Name = value
        End Set
    End Property

    Public Overridable Property SirName() As String
        Get
            Return m_SirName
        End Get
        Set(ByVal value As String)
            m_SirName = value
        End Set
    End Property

    Public Overridable Property EmailAddress() As String
        Get
            Return m_EmailAddress
        End Get
        Set(ByVal value As String)
            m_EmailAddress = value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return String.Format("{0} {1}", SirName, Name)
    End Function
End Class
