﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public Class Auditor
    Inherits AbstractEmployee
    Implements IDeepClone(Of Auditor)
    Private m_Id As Integer
    Private m_Title As String

    Public Sub New()
        Id = -1
    End Sub

    Public Overridable Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(ByVal value As Integer)
            m_Id = value
        End Set
    End Property

    Public Overridable Property Title() As String
        Get
            Return m_Title
        End Get
        Set(ByVal value As String)
            m_Title = value
        End Set
    End Property

    Public Overrides Function ToString() As String
        Return String.Format("{0} {1}", Name, SirName)
    End Function

    Public Function DeepClone() As Auditor Implements IDeepClone(Of Auditor).DeepClone
        DeepClone = New Auditor()
        DeepClone.Id = Id
        DeepClone.EmployeeId = EmployeeId
        DeepClone.Name = Name
        DeepClone.SirName = SirName
        DeepClone.EmailAddress = EmailAddress
        DeepClone.Title = Title
    End Function
End Class
