﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public Class Creator
    Inherits AbstractEmployee
    Implements IDeepClone(Of Creator)
    Private m_Id As Integer

    Public Sub New()
        Id = -1
    End Sub

    Public Overridable Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(ByVal value As Integer)
            m_Id = value
        End Set
    End Property

    Public Function DeepClone() As Creator Implements IDeepClone(Of Creator).DeepClone
        DeepClone = New Creator()
        DeepClone.Id = Id
        DeepClone.EmployeeId = EmployeeId
        DeepClone.Name = Name
        DeepClone.SirName = SirName
        DeepClone.EmailAddress = EmailAddress
    End Function
End Class
