﻿Option Strict On
Option Explicit On
Option Infer Off

<Serializable()> _
Public Class RevisionStatus
    Implements IDeepClone(Of RevisionStatus)
    Private m_Id As Integer
    Private m_Name As String

    Public Overridable Property Id() As Integer
        Get
            Return m_Id
        End Get
        Set(ByVal value As Integer)
            m_Id = value
        End Set
    End Property

    Public Overridable Property Name() As String
        Get
            Return m_Name
        End Get
        Set(ByVal value As String)
            m_Name = value
        End Set
    End Property

    Public Function DeepClone() As RevisionStatus Implements IDeepClone(Of RevisionStatus).DeepClone
        DeepClone = New RevisionStatus()
        DeepClone.Id = Id
        DeepClone.Name = Name
    End Function
End Class
