﻿Option Strict On
Option Explicit On
Option Infer Off

Public Class WordTableData
    Inherits AbstractWordData
    Private m_WordDataType As WordDataType
    Private m_TableData As IList(Of String)
    Private m_TableHeaders As IList(Of String)

    Public Sub New()
        m_WordDataType = WordDataType.Table
    End Sub

    Public Property TableData() As System.Collections.Generic.IList(Of String)
        Get
            Return m_TableData
        End Get
        Set(ByVal value As System.Collections.Generic.IList(Of String))
            m_TableData = value
        End Set
    End Property

    Public Property TableHeaders() As System.Collections.Generic.IList(Of String)
        Get
            Return m_TableHeaders
        End Get
        Set(ByVal value As System.Collections.Generic.IList(Of String))
            m_TableHeaders = value
        End Set
    End Property

    Public Overrides ReadOnly Property DataType() As AbstractWordData.WordDataType
        Get
            Return m_WordDataType
        End Get
    End Property
End Class
