﻿Option Strict On
Option Explicit On
Option Infer Off

Public Class WordTextData
    Inherits AbstractWordData
    Private m_WordDataType As WordDataType
    Private m_ReplaceWith As String

    Public Sub New()
        m_WordDataType = WordDataType.Text
    End Sub

    Public Property ReplaceWith() As String
        Get
            Return m_ReplaceWith
        End Get
        Set(ByVal value As String)
            m_ReplaceWith = value
        End Set
    End Property

    Public Overrides ReadOnly Property DataType() As AbstractWordData.WordDataType
        Get
            Return m_WordDataType
        End Get
    End Property
End Class
