﻿Option Strict On
Option Explicit On
Option Infer Off
Imports Securex.FIT.Fitclient.Business.DataHolders

Public Class CategorySelection
    Inherits GenericSelection(Of Category)

    Public Sub New()
        MyBase.New()
    End Sub

    ''' <summary>
    ''' Update description
    ''' </summary>
    ''' <param name="description">Category description</param>
    ''' <remarks></remarks>
    Public Sub Update(ByVal description As String)
        MyBase.Selection.Description = description
    End Sub

    ''' <summary>
    ''' Get selection
    ''' </summary>
    ''' <returns>Returns the category object</returns>
    ''' <remarks></remarks>
    Public Overrides Function GetSelection() As DataHolders.Category
        Return MyBase.Selection
    End Function
End Class
