﻿Public Class OpenEditorViewEvent(Of T)
    Inherits EventArgs
    Private m_Name As String
    Private m_FormName As String
    Private m_SelectedData As T

    Public Sub New(ByVal formName As String, ByVal selectedData As T)
        MyClass.FormName = formName
        MyClass.SelectedData = selectedData
        MyClass.Name = Nothing
    End Sub

    Public Sub New(ByVal formName As String, ByVal selectedData As T, ByVal name As String)
        MyClass.FormName = formName
        MyClass.SelectedData = selectedData
        MyClass.Name = name
    End Sub

    Public Property Name() As String
        Get
            Return m_Name
        End Get
        Private Set(ByVal value As String)
            m_Name = value
        End Set
    End Property

    Public Property FormName() As String
        Get
            Return m_FormName
        End Get
        Private Set(ByVal value As String)
            m_FormName = value
        End Set
    End Property

    Public Property SelectedData() As T
        Get
            Return m_SelectedData
        End Get
        Private Set(ByVal value As T)
            m_SelectedData = value
        End Set
    End Property
End Class
