﻿Option Strict On
Option Explicit On
Option Infer Off
Imports Securex.FIT.Fitclient.Business

Public Class RunningEnvironment
    Implements IRunningEnvironment
    Private Shared m_RunningEnvironment As RunningEnvironment = New RunningEnvironment()
    Private m_Environment As String
    Public Const DEVELOPMENT As String = "Development.cfg.xml"
    Public Const PRODUCTION As String = "Production.cfg.xml"
    Public Const UNITTESTING As String = "UnitTesting.cfg.xml"

    Public Shared ReadOnly Property Instance() As RunningEnvironment
        Get
            Return m_RunningEnvironment
        End Get
    End Property

    Public ReadOnly Property GetEnvironment() As String
        Get
            Return m_Environment
        End Get
    End Property

#Region "IDevelopmentEnvironment"
    Public WriteOnly Property SetEnvironment() As String Implements Business.IRunningEnvironment.SetEnvironment
        Set(ByVal value As String)
            m_Environment = value
        End Set
    End Property
#End Region

End Class
