﻿using System;
using System.Windows.Forms;

namespace CustomControls
{
    public class SortVirtualExtendedListviewEventArgs : EventArgs
    {
        private SortOrder m_SortOrder;
        private Int32 m_ColumnIndex;

        public SortVirtualExtendedListviewEventArgs(SortOrder order, Int32 columnIndex)
        {
            this.m_SortOrder = order;
            this.m_ColumnIndex = columnIndex;
        }

        public SortOrder Order
        {
            get
            {
                return this.m_SortOrder;
            }
            private set
            {
                this.m_SortOrder = value;
            }
        }

        public Int32 ColumnIndex
        {
            get
            {
                return this.m_ColumnIndex;
            }
            private set
            {
                this.m_ColumnIndex = value;
            }
        }
    }
}
