﻿Option Strict On
Option Explicit On
Option Infer Off

Public MustInherit Class AbstractWordData
    Private m_SearchValue As String

    Public Enum WordDataType As Integer
        Text = 0
        Table = 1
    End Enum

    Public Property SearchValue() As String
        Get
            Return m_SearchValue
        End Get
        Set(ByVal value As String)
            m_SearchValue = value
        End Set
    End Property

    Public MustOverride ReadOnly Property DataType() As WordDataType
End Class
