﻿Public Interface IRepositoryFactory
    Function CreateSession() As ISessionDao
    ReadOnly Property FormDescription() As IFormDescriptionDao
    ReadOnly Property Category() As ICategoryDao
    ReadOnly Property SubCategory() As ISubCategoryDao
    ReadOnly Property ProjectProposalRevision() As IProjectProposalRevisionDao
    ReadOnly Property ProjectProPosalName() As IProjectProposalNameDao
    ReadOnly Property Employee() As IEmployeeDao
    ReadOnly Property RevisionStatus() As IRevisionStatusDao
    ReadOnly Property Privileges() As IPrivileges
    ReadOnly Property Role() As IRoleDao
End Interface
