﻿Option Strict On
Option Explicit On
Option Infer Off
Imports System.Windows.Forms
Imports System.Drawing

Public Class PanelAndToollStripManager
    Public Shared Sub MergePanels(ByVal parent As IViewFormMain, ByVal child As IChildView)
        'If (Not parent.GetMainPanel().Contains(child.GetMainPanel())) Then
        child.UpdateTopLevel(False)
        parent.GetMainPanel().Controls.Add(child.GetMainPanel())
        'End If
    End Sub

    Public Shared Sub MergePanels(ByVal parent As IChildView, ByVal child As IChildView)
        'If (Not parent.GetChildPanel().Contains(child.GetMainPanel())) Then
        child.UpdateTopLevel(False)
        parent.GetChildPanel().Controls.Add(child.GetMainPanel())
        parent.GetChildPanel.AutoScrollMinSize = New Size(child.GetMainPanel().AutoScrollMinSize.Width, child.GetMainPanel().AutoScrollMinSize.Height)
        'End If
    End Sub

    Public Shared Sub MergeToolStrips(ByVal parent As IViewFormMain, ByVal child As IChildView)
        ToolStripManager.Merge(child.GetToolstrip(), parent.GetToolstrip())
    End Sub

    Public Shared Sub MergeToolStrips(ByVal parent As IChildView, ByVal child As IChildView)
        ToolStripManager.Merge(child.GetToolstrip(), parent.GetToolstrip())
    End Sub

    Public Shared Sub RevertMergedToolStrips(ByVal parent As IViewFormMain)
        ToolStripManager.RevertMerge(parent.GetToolstrip())
        parent.GetToolstrip().Invalidate()
    End Sub
End Class
