﻿Option Strict On
Option Explicit On
Option Infer Off
Imports Securex.FIT.Fitclient.Business
Imports Securex.FIT.Fitclient.Business.DataHolders
Imports NHibernate
Imports NHibernate.Criterion

Public Class SqlProjectProposalName
    Implements IProjectProposalNameDao
    Private m_GenericNhbDao As GenericNhbDao(Of ProjectProposalName)

    Public Sub New()
        m_GenericNhbDao = New GenericNhbDao(Of ProjectProposalName)()
    End Sub

#Region "IProjectProposalName"
    ''' <summary>
    ''' Get all project proposal names
    ''' </summary>
    ''' <param name="session">Object containing the session to the database</param>
    ''' <returns>Returns an IList of projectProposalNames</returns>
    ''' <remarks></remarks>
    Public Function GetAllProjectProposalNames(ByVal session As Business.ISessionDao) As System.Collections.Generic.IList(Of Business.DataHolders.ProjectProposalName) Implements Business.IProjectProposalNameDao.GetAllProjectProposalNames
        GetAllProjectProposalNames = m_GenericNhbDao.GetAll(DirectCast(session, SqlSession).Session)
    End Function
#End Region
End Class
